> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Payin

> 
    Deliver stablecoin from the organisation's provider balance to a wallet on-chain.
  

#### Authentication

✅ Organization User (`CustomerEmployee`)\
❌ Delegated User (`EndUser`)\
✅ Service Account

#### Required Permissions

`Payins:Create`: Always required.


## OpenAPI

````yaml /openapi.yaml post /payins
openapi: 3.1.0
info:
  version: 1.930.0
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /payins:
    post:
      tags:
        - Payins
      summary: Create Payin
      description: |2-

            Deliver stablecoin from the organisation's provider balance to a wallet on-chain.
          
      requestBody:
        required: true
        content:
          application/json:
            schema:
              oneOf:
                - type: object
                  properties:
                    walletId:
                      type: string
                      minLength: 1
                      maxLength: 64
                      pattern: ^wa-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
                      description: The destination wallet for the on-ramped funds.
                      example: wa-5pfuu-9euek-h0odgb6snva8ph3k
                    amount:
                      type: string
                      pattern: ^[0-9]+(\.[0-9]{1,2})?$
                      description: >-
                        The amount to deliver on-chain, in currency units (e.g.
                        "100.00").
                    provider:
                      type: string
                      enum:
                        - CircleMint
                    currency:
                      type: string
                      enum:
                        - USD
                        - EUR
                      description: >-
                        Fiat currency of the payin (determines the delivered
                        stablecoin, e.g. USD → USDC, EUR → EURC).
                  required:
                    - walletId
                    - amount
                    - provider
                    - currency
                  title: Circle Mint Create Payin
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      id:
                        type: string
                        minLength: 1
                        maxLength: 64
                        pattern: ^payin-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
                        description: Payin id.
                        example: payin-59t9u-eng2t-dd9p5nm02uc81sto
                      walletId:
                        type: string
                        minLength: 1
                        maxLength: 64
                        pattern: ^wa-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
                        description: The destination wallet for the on-ramped funds.
                        example: wa-5pfuu-9euek-h0odgb6snva8ph3k
                      amount:
                        type: string
                        pattern: ^[0-9]+(\.[0-9]{1,2})?$
                        description: >-
                          The amount to deliver on-chain, in currency units
                          (e.g. "100.00").
                      currency:
                        type: string
                        enum:
                          - USD
                          - EUR
                        description: >-
                          Fiat currency of the payin (determines the delivered
                          stablecoin, e.g. USD → USDC, EUR → EURC).
                      network:
                        allOf:
                          - $ref: '#/components/schemas/Network'
                          - description: >-
                              The network the funds are delivered on (the
                              destination wallet network).
                      status:
                        type: string
                        enum:
                          - Processing
                          - Completed
                          - Failed
                        description: The current status of the payin.
                      requester:
                        allOf:
                          - $ref: '#/components/schemas/Requester'
                          - description: The user/token that initiated the payin.
                      dateCreated:
                        type: string
                        format: date-time
                        description: >-
                          [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)
                          date (must be UTC). ISO 8601 timestamp when the payin
                          was created.
                        example: '2023-04-14T20:41:28.715Z'
                      dateFinalized:
                        type: string
                        format: date-time
                        description: >-
                          [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)
                          date (must be UTC). ISO 8601 timestamp when the payin
                          was finalized.
                        example: '2023-04-14T20:41:28.715Z'
                      provider:
                        type: string
                        enum:
                          - CircleMint
                      data:
                        type: object
                        properties:
                          executionStatus:
                            type: string
                            enum:
                              - Initializing
                              - AwaitingTransfer
                              - Completed
                              - Failed
                            description: The Circle Mint execution status.
                          statusReason:
                            type: string
                            description: >-
                              Reason for the current status, primarily for
                              failure cases.
                          recipientAddressId:
                            type: string
                            description: >-
                              Circle recipient-registry id for the destination
                              address (approved once in Circle's console).
                          circleTransferId:
                            type: string
                            description: >-
                              The id of the Circle transfer delivering the funds
                              on-chain.
                          transactionHash:
                            type: string
                            description: >-
                              The blockchain transaction hash of the delivery
                              transfer.
                          dateTransferConfirmed:
                            type: string
                            format: date-time
                            description: >-
                              [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)
                              date (must be UTC). ISO 8601 timestamp when the
                              transfer confirmed on-chain.
                            example: '2023-04-14T20:41:28.715Z'
                        required:
                          - executionStatus
                        description: Circle Mint provider-specific payin data.
                    required:
                      - id
                      - walletId
                      - amount
                      - currency
                      - network
                      - status
                      - requester
                      - dateCreated
                      - provider
                      - data
                    title: Circle Mint Payin
      security:
        - authenticationToken: []
          userActionSignature: []
components:
  schemas:
    Network:
      type: string
      title: Network
      enum:
        - Algorand
        - AlgorandTestnet
        - Aptos
        - AptosTestnet
        - ArbitrumOne
        - ArbitrumSepolia
        - ArcTestnet
        - AvalancheC
        - AvalancheCFuji
        - BabylonGenesis
        - BabylonTestnet5
        - Base
        - BaseSepolia
        - Berachain
        - BerachainBepolia
        - Bitcoin
        - BitcoinSignet
        - BitcoinTestnet4
        - BitcoinCash
        - Bob
        - BobSepolia
        - Bsc
        - BscTestnet
        - Canton
        - CantonTestnet
        - Cardano
        - CardanoPreprod
        - Concordium
        - ConcordiumTestnet
        - Celo
        - CeloAlfajores
        - Codex
        - CodexSepolia
        - CosmosHub4
        - CosmosIcsTestnet
        - Dogecoin
        - DogecoinTestnet
        - Ethereum
        - EthereumClassic
        - EthereumClassicMordor
        - EthereumSepolia
        - EthereumHoodi
        - FlareC
        - FlareCCoston2
        - FlowEvm
        - FlowEvmTestnet
        - Hedera
        - HederaTestnet
        - Ink
        - InkSepolia
        - InternetComputer
        - Ion
        - IonTestnet
        - Iota
        - IotaTestnet
        - Kusama
        - KusamaAssetHub
        - Litecoin
        - LitecoinTestnet
        - Movement
        - MovementTestnet
        - Near
        - NearTestnet
        - Optimism
        - OptimismSepolia
        - Origyn
        - Plasma
        - PlasmaTestnet
        - Plume
        - PlumeSepolia
        - Paseo
        - PaseoAssetHub
        - Polkadot
        - PolkadotAssetHub
        - Polygon
        - PolygonAmoy
        - Polymesh
        - PolymeshTestnet
        - Race
        - RaceSepolia
        - Rayls
        - RaylsTestnet
        - Robinhood
        - RobinhoodSepolia
        - SeiAtlantic2
        - SeiPacific1
        - Solana
        - SolanaDevnet
        - Sonic
        - SonicTestnet
        - Starknet
        - StarknetSepolia
        - Stellar
        - StellarTestnet
        - Sui
        - SuiTestnet
        - Tezos
        - TezosGhostnet
        - TezosShadownet
        - Tempo
        - TempoModerato
        - Tsc
        - TscTestnet1
        - Ton
        - TonTestnet
        - Tron
        - TronNile
        - Westend
        - WestendAssetHub
        - Xdc
        - XdcApothem
        - XLayer
        - XLayerSepolia
        - XrpLedger
        - XrpLedgerTestnet
    Requester:
      type: object
      properties:
        userId:
          type: string
          minLength: 1
          maxLength: 64
          pattern: ^us-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
          description: User id.
          example: us-6b58p-r53sr-rlrd3l5cj3uc4ome
        tokenId:
          type: string
          minLength: 1
          maxLength: 64
          pattern: ^to-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
          description: Token id.
          example: to-202a0-cdo33-o65mbt6q758lvvnt
      required:
        - userId
      description: The user who initiated the request.
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)
    userActionSignature:
      type: apiKey
      in: header
      name: X-DFNS-USERACTION
      description: >-
        **User Action Signature:** Used to sign the change-inducing API
        requests.

        More details how to generate the token: [User Action Signing
        flows](https://docs.dfns.co/api-reference/auth/signing-flows)

````